StructuredSyntaxDocumentFilter.LexerNode (Groovy 3.0.7)

Package groovy.console.ui.text

## Class StructuredSyntaxDocumentFilter.LexerNode

- java.lang.Object
- - groovy.console.ui.text.StructuredSyntaxDocumentFilter.LexerNode

- Enclosing class:
    StructuredSyntaxDocumentFilter

      public final class StructuredSyntaxDocumentFilter.LexerNode
      extends Object

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Style` | `getDefaultStyle()` |
    `boolean` | `isInitialized()` |
    `void` | `parse​(CharBuffer buffer, int offset, int length)` |
    `void` | `putChild​(String[] regexps, StructuredSyntaxDocumentFilter.LexerNode node)` |
    `void` | `putChild​(String regexp, StructuredSyntaxDocumentFilter.LexerNode node)` |
    `void` | `putStyle​(String[] regexps, Style style)` |
    `void` | `putStyle​(String regexp, Style style)` |
    `void` | `removeChild​(String regexp)` |
    `void` | `removeStyle​(String regexp)` |
    `void` | `removeStyle​(String[] regexps)` |
    `void` | `setDefaultStyle​(Style style)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getDefaultStyle

          public Style getDefaultStyle()

    - #### isInitialized

          public boolean isInitialized()

      Returns:
        true if initialised

    - #### parse

          public void parse​(CharBuffer buffer,
                            int offset,
                            int length)
                     throws BadLocationException

      Parameters:
        `buffer` -
        `offset` -
        `length` -
      Throws:
        `BadLocationException`

    - #### putChild

          public void putChild​(String regexp,
                               StructuredSyntaxDocumentFilter.LexerNode node)

      Parameters:
        `regexp` -
        `node` -

    - #### putChild

          public void putChild​(String[] regexps,
                               StructuredSyntaxDocumentFilter.LexerNode node)

      Parameters:
        `regexps` -
        `node` -

    - #### putStyle

          public void putStyle​(String regexp,
                               Style style)

      Parameters:
        `regexp` -
        `style` -

    - #### putStyle

          public void putStyle​(String[] regexps,
                               Style style)

      Parameters:
        `regexps` -
        `style` -

    - #### removeChild

          public void removeChild​(String regexp)

      Parameters:
        `regexp` -

    - #### removeStyle

          public void removeStyle​(String regexp)

      Parameters:
        `regexp` -

    - #### removeStyle

          public void removeStyle​(String[] regexps)

      Parameters:
        `regexps` -

    - #### setDefaultStyle

          public void setDefaultStyle​(Style style)